Bug 135882 - Mirror Lists should use Random Mirror
Summary: Mirror Lists should use Random Mirror
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-15 16:25 UTC by Christopher Stone
Modified: 2014-01-21 22:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-16 18:44:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Stone 2004-10-15 16:25:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
The default yum.conf in rawhide now uses mirrorlists, however the
first mirror on the list is the main server meaning that it's always
going to be slow.  If the mirror list uses a random mirror this will
evenly distribute the load across all mirrors.

Version-Release number of selected component (if applicable):
yum-2.1.7-2

How reproducible:
Always

Steps to Reproduce:
1.  Set up mirror lists in yum.conf
2.  Make first mirror the main repository
3.  Yum is always slow until something times out and a mirror is tried
    

Actual Results:  Slow yum.

Expected Results:  Fast yum.

Additional info:

Comment 1 Christopher Stone 2004-10-15 16:37:31 UTC
hmm, maybe I reported this too soon.  Running yum a second time it's
now going fast.

Comment 2 Christopher Stone 2004-10-16 18:44:11 UTC
Closing bug.  Yum seems fine with respect to mirrors, for some reason
it was really slow the first time I tried it.


Note You need to log in before you can comment on or make changes to this bug.